<phpunit
	bootstrap="./tests/bootstrap.php"
	backupGlobals="false"
	colors="true"
	convertErrorsToExceptions="true"
	convertNoticesToExceptions="true"
	convertWarningsToExceptions="true"
	>
	<testsuites>
		<testsuite>
			<directory prefix="class-tests-" suffix=".php">./tests/</directory>
		</testsuite>
	</testsuites>
	<filter>
		<whitelist addUncoveredFilesFromWhitelist="true">
			<directory suffix=".php">./includes</directory>
			<file>class-repo-manager.php</file>
			<exclude>
				<directory>./includes/libraries/</directory>
			</exclude>
		</whitelist>
	</filter>
	<listeners>
		<listener class="SpeedTrapListener" file="tests/phpunit/speed-trap-listener.php">
			<arguments>
				<array>
					<element key="slowThreshold">
						<integer>150</integer>
					</element>
				</array>
			</arguments>
		</listener>
	</listeners>
</phpunit>
